<!DOCTYPE html>
<html>

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>MemeStream</title>
  <!-- development version, includes helpful console warnings -->
  <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>

</head>

<body>
  <style>
          button {
             background-repeat: no-repeat;
             color: white;
             text-shadow: -1px -1px 3px #000, 1px -1px 3px #000, -1px 1px 3px #000, 1px 1px 3px #000;
             border-radius: 5px;
             padding: 20px;
             /* font-size: 150%; */
             width: 100%;
             height: 100%;
             background-size: cover;
          }

          .wrapper {
              display: grid;
              grid-template-columns: 33% auto 33%;
              grid-template-rows: 50% 50%;
              grid-gap: 1vh;
              background-color: #fff;
              height: 95vh;
          }

          h1 {
              text-align: center;
              font-size: xx-large;
          }
  </style>
    <iframe name="hiddenFrame" width="0" height="0" border="0" style="display: none;"></iframe>

  <div id="app" class="wrapper">

    <form v-for="meme in memes" v-bind:action="meme.slug" id="myForm" method="POST" name="myForm" target="hiddenFrame">
      <button type="submit" id="submitbutton" v-bind:style="'background-image: url(./memes/' + meme.slug + '.png);'">
        <h1>{{ meme.displayname || meme.slug }}</h1>
      </button>
    </form>
  </div>
</body>

<script src="index.js" charset="utf-8"></script>

</html>
